Skip to main content
GET
/
indexer
/
nft
/
v1
/
collections
/
{collection_addr}
Get NFT collection details
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collections/{collection_addr}
import requests

url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collections/{collection_addr}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/collections/{collection_addr}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "collection": {
    "object_addr": "<string>",
    "collection": {
      "creator": "<string>",
      "name": "<string>",
      "origin_name": "<string>",
      "nfts": {
        "handle": "<string>",
        "length": 123
      }
    },
    "height": 123,
    "timestamp": "<string>"
  }
}

Path Parameters

collection_addr
string
required

The collection address.

Response

Successful response

collection
object